## nexus 0.1.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.1.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944", affiliation = "Université Bordeaux Montaigne")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087", affiliation = "Université de Nantes")),
    person("Brice", "Lebrun", , "brice.lebrun@u-bordeaux-montaigne.fr", role = "ctb",
           comment = c(ORCID = "0000-0001-7503-8685", affiliation = "Université Bordeaux Montaigne")),
    person("Université Bordeaux Montaigne", role = "fnd"),
    person("CNRS", role = "fnd")
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://packages.tesselle.org/nexus/,
        https://github.com/tesselle/nexus
BugReports: https://github.com/tesselle/nexus/issues
Depends: R (>= 3.5)
Imports: arkhe (>= 1.4.0), dimensio (>= 0.5.0), graphics, grDevices,
        isopleuros (>= 1.0.0), methods, MASS, stats, utils
Suggests: cluster, folio, igraph, knitr, rmarkdown, rsvg, svglite,
        tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
Collate: 'AllClasses.R' 'AllGenerics.R' 'coerce.R' 'data.R' 'graph.R'
        'mix.R' 'mutators.R' 'nexus-internal.R' 'nexus-package.R'
        'outliers.R' 'pca.R' 'plot.R' 'reexport.R' 'replace.R' 'show.R'
        'simplex.R' 'statistics.R' 'subset.R' 'summary.R' 'transform.R'
        'validate.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2023-11-29 08:32:56 UTC; nicolas
Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>,
    Université Bordeaux Montaigne),
  Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>,
    Université de Nantes),
  Brice Lebrun [ctb] (<https://orcid.org/0000-0001-7503-8685>, Université
    Bordeaux Montaigne),
  Université Bordeaux Montaigne [fnd],
  CNRS [fnd]
Repository: CRAN
Date/Publication: 2023-11-29 18:40:02 UTC

## nexus 0.2.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.2.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944", affiliation = "Université Bordeaux Montaigne")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087", affiliation = "Université de Nantes")),
    person("Brice", "Lebrun", , "brice.lebrun@u-bordeaux-montaigne.fr", role = "ctb",
           comment = c(ORCID = "0000-0001-7503-8685", "Logo designer")),
    person("Arthur", "Leck", , "arthur.leck@u-bordeaux-montaigne.fr", role = "ctb",
           comment = c(ORCID = "0009-0004-8819-9970", affiliation = "Université Bordeaux Montaigne")),
    person("Université Bordeaux Montaigne", role = "fnd"),
    person("CNRS", role = "fnd")
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://packages.tesselle.org/nexus/,
        https://github.com/tesselle/nexus
BugReports: https://github.com/tesselle/nexus/issues
Depends: R (>= 3.5), dimensio (>= 0.6.0)
Imports: arkhe (>= 1.6.0), graphics, grDevices, isopleuros (>= 1.2.0),
        methods, MASS, stats, utils
Suggests: cluster, folio (>= 1.4.0), igraph, knitr, markdown, rsvg,
        svglite, tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.0
Collate: 'AllClasses.R' 'AllGenerics.R' 'coerce.R' 'data.R' 'graph.R'
        'mix.R' 'mutators.R' 'nexus-internal.R' 'nexus-package.R'
        'outliers.R' 'pca.R' 'plot.R' 'reexport.R' 'replace.R' 'show.R'
        'simplex.R' 'statistics.R' 'subset.R' 'summary.R' 'transform.R'
        'validate.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2024-02-26 16:38:51 UTC; nicolas
Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>,
    Université Bordeaux Montaigne),
  Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>,
    Université de Nantes),
  Brice Lebrun [ctb] (<https://orcid.org/0000-0001-7503-8685>, Logo
    designer),
  Arthur Leck [ctb] (<https://orcid.org/0009-0004-8819-9970>, Université
    Bordeaux Montaigne),
  Université Bordeaux Montaigne [fnd],
  CNRS [fnd]
Repository: CRAN
Date/Publication: 2024-02-26 17:20:02 UTC

## nexus 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: nexus
 Title: Sourcing Archaeological Materials by Chemical Composition
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-5759-4944", affiliation = "Université Bordeaux Montaigne")),
@@ -22,22 +22,27 @@
 URL: https://packages.tesselle.org/nexus/,
         https://github.com/tesselle/nexus
 BugReports: https://github.com/tesselle/nexus/issues
-Depends: R (>= 3.5), dimensio (>= 0.6.0)
-Imports: arkhe (>= 1.6.0), graphics, grDevices, isopleuros (>= 1.2.0),
-        methods, MASS, stats, utils
-Suggests: cluster, folio (>= 1.4.0), igraph, knitr, markdown, rsvg,
+Depends: R (>= 3.5), dimensio (>= 0.9.0)
+Imports: arkhe (>= 1.7.0), graphics, grDevices, isopleuros (>= 1.2.0),
+        khroma (>= 1.14.0), methods, MASS, stats, utils
+Suggests: cluster, folio (>= 1.5.0), igraph, knitr, markdown, rsvg,
         svglite, tinysnapshot, tinytest
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.0
-Collate: 'AllClasses.R' 'AllGenerics.R' 'coerce.R' 'data.R' 'graph.R'
-        'mix.R' 'mutators.R' 'nexus-internal.R' 'nexus-package.R'
-        'outliers.R' 'pca.R' 'plot.R' 'reexport.R' 'replace.R' 'show.R'
-        'simplex.R' 'statistics.R' 'subset.R' 'summary.R' 'transform.R'
-        'validate.R' 'zzz.R'
+RoxygenNote: 7.3.2
+Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
+        'chemistry.R' 'coerce.R' 'condense.R' 'covariance.R' 'data.R'
+        'describe.R' 'dist.R' 'graph.R' 'group.R' 'hist.R' 'margin.R'
+        'mean.R' 'mix.R' 'mutators.R' 'nexus-internal.R'
+        'nexus-package.R' 'outliers.R' 'pca.R' 'plot.R' 'quantile.R'
+        'reexport.R' 'replace.R' 'scale.R' 'show.R' 'simplex.R'
+        'split.R' 'subset.R' 'summary.R' 'transform_alr.R'
+        'transform_clr.R' 'transform_ilr.R' 'transform_inverse.R'
+        'transform_lr.R' 'transform_plr.R' 'validate.R' 'variance.R'
+        'variation.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2024-02-26 16:38:51 UTC; nicolas
+Packaged: 2024-09-03 14:59:11 UTC; nicolas
 Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>,
     Université Bordeaux Montaigne),
   Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>,
@@ -49,4 +54,4 @@
   Université Bordeaux Montaigne [fnd],
   CNRS [fnd]
 Repository: CRAN
-Date/Publication: 2024-02-26 17:20:02 UTC
+Date/Publication: 2024-09-03 15:20:02 UTC

## nexus 0.4.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.4.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087")),
    person("Brice", "Lebrun", , "brice.lebrun@u-bordeaux-montaigne.fr", role = "ctb",
           comment = c(ORCID = "0000-0001-7503-8685", "Logo designer")),
    person("Université Bordeaux Montaigne", role = "fnd"),
    person("CNRS", role = "fnd")
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://packages.tesselle.org/nexus/,
        https://github.com/tesselle/nexus
BugReports: https://github.com/tesselle/nexus/issues
Depends: R (>= 3.5), dimensio (>= 0.11.0)
Imports: arkhe (>= 1.9.0), graphics, grDevices, isopleuros (>= 1.3.0),
        khroma (>= 1.15.0), methods, MASS, stats, utils
Suggests: cluster, folio (>= 1.5.0), igraph, knitr, markdown, rsvg,
        svglite, tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
        'chemistry.R' 'coerce.R' 'condense.R' 'covariance.R' 'data.R'
        'describe.R' 'dist.R' 'graph.R' 'group.R' 'hist.R' 'margin.R'
        'mean.R' 'mix.R' 'mutators.R' 'nexus-internal.R'
        'nexus-package.R' 'outliers.R' 'pairs.R' 'pca.R' 'plot.R'
        'quantile.R' 'reexport.R' 'replace.R' 'scale.R' 'show.R'
        'simplex.R' 'split.R' 'subset.R' 'summary.R' 'transform_alr.R'
        'transform_clr.R' 'transform_ilr.R' 'transform_inverse.R'
        'transform_lr.R' 'transform_plr.R' 'validate.R' 'variance.R'
        'variation.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2025-01-14 11:52:07 UTC; nicolas
Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>),
  Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>),
  Brice Lebrun [ctb] (<https://orcid.org/0000-0001-7503-8685>, Logo
    designer),
  Université Bordeaux Montaigne [fnd],
  CNRS [fnd]
Repository: CRAN
Date/Publication: 2025-01-14 12:30:02 UTC

## nexus 0.5.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.5.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087")),
    person("Brice", "Lebrun", role = "art",
           comment = c(ORCID = "0000-0001-7503-8685", "Logo designer")),
    person("Université Bordeaux Montaigne", role = "fnd",
           comment = c(ROR = "03pbgwk21")),
    person("CNRS", role = "fnd",
           comment = c(ROR = "02feahw73"))
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://codeberg.org/tesselle/nexus,
        https://packages.tesselle.org/nexus/
BugReports: https://codeberg.org/tesselle/nexus/issues
Depends: R (>= 3.5), dimensio (>= 0.13.0)
Imports: arkhe (>= 1.10.0), graphics, grDevices, isopleuros (>= 1.4.0),
        khroma (>= 1.16.0), MASS, methods, stats, utils
Suggests: cluster, folio (>= 1.5.0), igraph, knitr, markdown, rsvg,
        svglite, tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
X-schema.org-applicationCategory: Archaeological Science
X-schema.org-isPartOf: https://www.tesselle.org
X-schema.org-keywords: archaeology, archaeological-science,
        archaeometry, compositional-data, provenance-studies, r-package
Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
        'bind.R' 'chemistry.R' 'coerce.R' 'condense.R' 'covariance.R'
        'data.R' 'describe.R' 'dist.R' 'graph.R' 'group.R' 'hist.R'
        'margin.R' 'mean.R' 'mix.R' 'mutators.R' 'nexus-internal.R'
        'nexus-package.R' 'outliers.R' 'pairs.R' 'pca.R' 'plot.R'
        'quantile.R' 'reexport.R' 'replace.R' 'scale.R' 'show.R'
        'simplex.R' 'split.R' 'subset.R' 'summary.R' 'transform_alr.R'
        'transform_clr.R' 'transform_ilr.R' 'transform_inverse.R'
        'transform_lr.R' 'transform_plr.R' 'validate.R' 'variance.R'
        'variation.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2025-04-07 09:10:35 UTC; nicolas
Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>),
  Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>),
  Brice Lebrun [art] (<https://orcid.org/0000-0001-7503-8685>, Logo
    designer),
  Université Bordeaux Montaigne [fnd] (03pbgwk21),
  CNRS [fnd] (02feahw73)
Repository: CRAN
Date/Publication: 2025-04-07 09:30:02 UTC

## nexus 0.6.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.6.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087")),
    person("Brice", "Lebrun", role = "art",
           comment = c(ORCID = "0000-0001-7503-8685", "Logo designer")),
    person("Université Bordeaux Montaigne", role = "fnd",
           comment = c(ROR = "03pbgwk21")),
    person("CNRS", role = "fnd",
           comment = c(ROR = "02feahw73"))
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://codeberg.org/tesselle/nexus,
        https://packages.tesselle.org/nexus/,
        https://tesselle.r-universe.dev/nexus
BugReports: https://codeberg.org/tesselle/nexus/issues
Depends: R (>= 3.5), dimensio (>= 0.14.0)
Imports: arkhe (>= 1.11.0), graphics, grDevices, isopleuros (>= 1.4.0),
        khroma (>= 1.16.0), MASS, methods, stats, utils
Suggests: cluster, folio (>= 1.5.0), fontquiver, igraph, knitr,
        markdown, rsvg, svglite, tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
X-schema.org-applicationCategory: Archaeological Science
X-schema.org-isPartOf: https://www.tesselle.org
X-schema.org-keywords: archaeology, archaeological-science,
        archaeometry, compositional-data, provenance-studies, r-package
Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
        'bind.R' 'boxplot.R' 'chemistry.R' 'coerce.R' 'condense.R'
        'covariance.R' 'data.R' 'describe.R' 'dist.R' 'graph.R'
        'group.R' 'hist.R' 'margin.R' 'mean.R' 'mix.R' 'mutators.R'
        'nexus-internal.R' 'nexus-package.R' 'outliers.R' 'pairs.R'
        'pca.R' 'plot.R' 'quantile.R' 'reexport.R' 'replace.R'
        'scale.R' 'show.R' 'simplex.R' 'split.R' 'subset.R' 'summary.R'
        'transform_alr.R' 'transform_clr.R' 'transform_ilr.R'
        'transform_inverse.R' 'transform_lr.R' 'transform_plr.R'
        'validate.R' 'variance.R' 'variation.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2025-06-02 12:46:19 UTC; nfrerebeau
Author: Nicolas Frerebeau [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-5759-4944>),
  Anne Philippe [aut] (ORCID: <https://orcid.org/0000-0002-5331-5087>),
  Brice Lebrun [art] (ORCID: <https://orcid.org/0000-0001-7503-8685>,
    Logo designer),
  Université Bordeaux Montaigne [fnd] (ROR: <https://ror.org/03pbgwk21>),
  CNRS [fnd] (ROR: <https://ror.org/02feahw73>)
Repository: CRAN
Date/Publication: 2025-06-02 13:40:02 UTC

## nexus 4.2.1

=== SConstruct ===
#====================================================================
#  NeXus - Neutron & X-ray Common Data Format
#  
#  $Id: Makefile.am 961 2007-09-04 12:31:49Z Freddie Akeroyd $
#
#  Top level scons file for coordinating NeXus build
#  
#  Copyright (C) 2008 Freddie Akeroyd
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
# 
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
# 
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free 
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#  MA  02111-1307  USA
#             
#  For further information, see <http://www.nexusformat.org/>
#
######################## Subversion Reposity details ########################
# Repository Location     $HeadURL$
# Revision of last commit $LastChangedRevision$ 
# Date of last commit     $LastChangedDate$
# Author of last commit   $LastChangedBy$
############################################################################

import os
import platform
import sys
import shutil
import re
import string
from socket import gethostname

import nexus_scons_utils
  
opts = Options('scons_options.py')
opts.Add('mingw','Set to 1 to use MinGW on Windows', 0)
opts.Add('msvc','Set to 1 to use Microsoft Visual Studio Compiler on Windows', 1)
opts.Add('debug','Set to 1 to build debug', 0)

base_env = Environment(ENV=os.environ, options = opts)
mingw_env = Environment(ENV=os.environ, options = opts, tools = [ 'mingw' ])
Help(opts.GenerateHelpText(base_env))
mingw = ARGUMENTS.get('mingw', 0)
msvc = ARGUMENTS.get('msvc', 1)
debug = ARGUMENTS.get('debug', 0)
if int(msvc) :
	env = base_env
if int(mingw) :
	env = mingw_env
#get libraries and the library directories
print 'Current path == ',os.getcwd()
cwdpath=os.getcwd()
uppath=os.path.abspath('../')

shlibList = []
libList = []
if not env.GetOption('clean'): # do not re-rerun checking on a "scons -c"
	conf = Configure(env)
#	if conf.CheckLib()
	env = conf.Finish()

shlibDirList = []
libDirList = []
cflags = []
shcflags = []
cxxflags = []
shcxxflags = []
ccflags = []
shccflags = []
dirList = []
cppPaths = []
cppDefines = [ ('HDF5',1), ('NXXML',1), ('HDF4',1) ]
#Get paths
if os.name == 'nt': 
	print "* COMMENCING WINDOWS BUILD *"

	libList.append('hdf5')
	libList.append('szlib')
	libList.append('zlib')
	libList.append('hd423.lib')
	libList.append('hm423.lib')
	libList.append('xdr.lib')
	libList.append('libjpeg.lib')
	libList.append('ws2_32.lib')
	libList.append('mxml_libcmt.lib')
	shlibList.append('hdf5dll')
	shlibList.append('hd423m.lib')
	shlibList.append('hm423m.lib')
	shlibList.append('mxml_msvcrt.lib')
	libDirList.append('C:/Program Files/hdf/jpeg6-vs2005/lib')
	libDirList.append('c:/program files/hdf/5-167-win-vs2005/lib') 
	libDirList.append('c:/program files/hdf/42r3-win-vs2005/lib')
	shlibDirList.append('c:/program files/hdf/5-167-win-vs2005/dll')
	shlibDirList.append('c:/program files/hdf/42r3-win-vs2005/dll')
	shlibDirList.append('c:/msys/1.0/local/lib')
#	libDirList.append('C:/Program Files/hdf/zlib123-vs2005/lib')
	libDirList.append('C:/Install Kits/zlib-1.2.3')
	libDirList.append('C:/Program Files/hdf/szip21-vs2005-noenc/lib')
	libDirList.append('c:/msys/1.0/local/lib')
	cppPaths.append(['c:/msys/1.0/local/include','c:/program files/hdf/5-167-win-vs2005/include','c:/program files/hdf/42r3-win-vs2005/include'])

	if int(mingw) :
		cflags = ['-g', '-O2']
		env.Append(LINKFLAGS=['-g','-Wl,--export-all-symbols'])
		shcflags.append(['-D_HDF5USEDLL_=1'])
	else :
		if int(debug) :
			ccflags = [ '/W3', '/Od', '/FD', '/EHsc', '/MTd', '/TP', '/D_DEBUG', '/DMS_VISUAL_STUDIO=1', '/DWIN32', '/D_WINDOWS', '/DWINVER=0x0500', '/D_USE_MATH_DEFINES', '/D_SCL_SECURE_NO_WARNINGS', '/D_CRT_SECURE_NO_WARNINGS', '/wd4275', '/wd4996' ]
			shccflags = [ '/W3', '/Od', '/FD', '/EHsc', '/MDd', '/TP', '/D_DEBUG', '/DMS_VISUAL_STUDIO=1', '/DWIN32', '/D_WINDOWS', '/DWINVER=0x0500', '/D_USE_MATH_DEFINES', '/D_SCL_SECURE_NO_WARNINGS', '/D_CRT_SECURE_NO_WARNINGS', '/wd4275', '/wd4996' ]
		else :
			cflags = [ '/TC' ]
			shcflags = cflags
			cxxflags = [ '/TP' ]
			shcxxflags = cxxflags
			ccflags = ['/Ox', '/Ot', '/W3','/EHsc', '/MT', '/DMS_VISUAL_STUDIO=1', '/DWIN32', '/D_WINDOWS', '/DWINVER=0x0500', '/D_USE_MATH_DEFINES', '/D_SCL_SECURE_NO_WARNINGS', '/D_CRT_SECURE_NO_WARNINGS', '/wd4275']
			shccflags = ['/Ox', '/Ot', '/W3','/EHsc', '/MD', '/DMS_VISUAL_STUDIO=1', '/DWIN32', '/D_WINDOWS', '/DWINVER=0x0500', '/D_USE_MATH_DEFINES', '/D_SCL_SECURE_NO_WARNINGS', '/D_CRT_SECURE_NO_WARNINGS', '/wd4275']
		cppPaths.append(['#Windows_extra/include'])
		shccflags.append(['/D_HDF5USEDLL_=1'])
else :
	print "* COMMENCING LINUX BUILD *"
	ccflags.append(['-Wall','-Wno-unused-variable','-Wno-sign-compare','-Wno-comment'])
	if int(debug) :
	    ccflags.append(['-g','-O0'])
	else :
	    ccflags.append(['-g','-O3'])
	ccflags.append(['-fPIC'])
	shccflags = ccflags

	env.Append(LINKFLAGS=['-g'])
	libList.append(['hdf5','mfhdf','df','mxml','jpeg','z'])
	libDirList.append(['/usr/lib64/hdf','/usr/lib/hdf'])
	shlibList.append(['hdf5','mfhdf','df','mxml','jpeg','z'])
	shlibDirList.append(['/usr/lib64/hdf','/usr/lib/hdf'])
	cppPaths.append(['/usr/include/hdf'])

libDirList.append('#Bin/Static')
shlibDirList.append('#Bin/Shared')

#Export for SConscripts
env.Replace(SHOBJSUFFIX='.sob') # force separate shared and static objects
env.Replace(CFLAGS=cflags)
env.Replace(SHCFLAGS=shcflags)
env.Append(CXXFLAGS=cxxflags)
env.Append(SHCXXFLAGS=shcxxflags)
env.Replace(CCFLAGS=ccflags)
env.Replace(SHCCFLAGS=shccflags)
env.Append(CPPPATH=cppPaths)
env.Append(CPPDEFINES=cppDefines)
env.Replace(MYLIBLIST=libList)
env.Replace(MYLIBDIRLIST=libDirList)
env.Replace(MYSHLIBLIST=shlibList)
env.Replace(MYSHLIBDIRLIST=shlibDirList)

Export('env')

#Real work begins here
subProjs = []

subProjs.append('src')
subProjs.append('bindings/cpp')

# we want to link libraries in the reverse order we build them
shared_libraries = []
static_libraries = []
shared_objects = []
lib_list = []
orig_libs = env['MYLIBLIST']
shorig_libs = env['MYSHLIBLIST']

for subproj in subProjs:
	ret = SConscript([subproj+'/SConscript'])
	env.Install('Bin/Shared', ret['shared'])
	env.Install('Bin/Static', ret['static'])
	shared_libraries.insert(0,ret['shared'])
	static_libraries.insert(0,ret['static'])
	shared_objects = shared_objects + ret['sharedobjs']
	lib_list.insert(0,ret['libs'])
	env.Replace(MYLIBLIST=lib_list + orig_libs)
	env.Replace(MYSHLIBLIST=lib_list + shorig_libs)

env.Replace(SHARED_LIST=shared_libraries)
env.Replace(STATIC_LIST=static_libraries)

#
# Correct bug in windows scons - OBJSUFFIX is not substituted for some reason
#
for i in range(len(shared_objects)) :
    shared_objects[i] = string.replace(shared_objects[i], '$OBJSUFFIX', env['OBJSUFFIX'])

# main program
ret = SConscript(['applications/SConscript'])
env.Install('Bin/Shared', ret['shared'])
env.Install('Bin/Static', ret['static'])

ret = SConscript(['test/SConscript'])
env.Install('Bin/Shared', ret['shared'])
env.Install('Bin/Static', ret['static'])

## nexus 4.2.1-svn1614

=== debian/changelog ===
nexus (4.2.1-svn1614-1) unstable; urgency=low

  * Initial release (Closes: #411053) 

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Thu, 21 Jul 2011 11:52:11 +0100

=== debian/control ===
Source: nexus
Priority: extra
Maintainer: Tobias Stefan Richter <tsr-debian@achos.com>
Uploaders: Carlo Segre <segre@debian.org>
Build-Depends: autoconf, automake, debhelper (>= 7), autotools-dev, libtool, 
 libmxml-dev, libhdf5-serial-dev | libhdf5-dev, libhdf4g-dev, 
 default-jdk | java2-sdk, python-all-dev, python-support, python-numpy, 
 libxml2-dev
Standards-Version: 3.9.2
Section: libs

Package: libnexus0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - runtime libraries
 NeXus is a common data format for neutron, x-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, x-ray, and muon data.
 .
 This is the package containing the runtime libraries.

Package: libnexus0-dev
Section: libdevel
Architecture: any
Depends: libnexus0 (= ${binary:Version}), ${misc:Depends} 
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - development libraries
 NeXus is a common data format for neutron, x-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, x-ray, and muon data.
 .
 This is the package containing the development libraries.

Package: libnexus0-java
Section: java
Architecture: any
Depends: libnexus0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends} 
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - java libraries
 NeXus is a common data format for neutron, x-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, x-ray, and muon data.
 .
 This is the package containing the java libraries.

Package: libnexus0-python
Section: python
Architecture: any
Depends: libnexus0 (= ${binary:Version}), python-all (>= 2.6.6-3~),
 ${shlibs:Depends}, ${misc:Depends}
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - python binding
 NeXus is a common data format for neutron, x-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, x-ray, and muon data.
 .
 This is the package containing the Python bindings.

Package: nexus-tools
Section: science
Architecture: any
Depends: libnexus0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends} 
Homepage: http://www.nexusformat.org/
Description: NeXus scientific data file format - applications
 NeXus is a common data format for neutron, x-ray, and muon science. It
 is being developed as an international standard by scientists and
 programmers representing major scientific facilities in Europe, Asia,
 Australia, and North America in order to facilitate greater cooperation
 in the analysis and visualization of neutron, x-ray, and muon data.
 .
 This is the package containing some applications for reading and writing
 NeXus files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
# version=`ls src/.libs/lib*.so.* | \
#  awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
# major=`ls src/.libs/lib*.so.* | \
#  awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
	sh autogen.sh

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	## -D_FILE_OFFSET_BITS=64 for large file support (will be default in next version)
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="-D_FILE_OFFSET_BITS=64 $(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-java-home=`readlink /etc/alternatives/javac | sed s,/bin/javac,,` --with-python=/usr
	sed < libtool > libtool-2 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool

build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	$(MAKE) maintainer-clean
	rm -f config.sub config.guess
	rm -fr config || true
	rm -fr .pc || true
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_makeshlibs -X /usr/lib/jni
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nexus 4.3-svn1898

=== debian/changelog ===
nexus (4.3-svn1898-1) unstable; urgency=low

  * updated upstream version fixing NX5getinfo64

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sat, 22 Jun 2013 16:20:31 +0100

nexus (4.3-svn1896-1) unstable; urgency=low

  * new upstream version to resolve issues around napiconfig.h
    and add various small improvements

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sun, 19 May 2013 18:15:22 +0100

nexus (4.3-svn1889-1) unstable; urgency=low

  * new upstream release with bug fixes
  * ensure backward compatibility when compiling with Java 7

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Fri, 08 Mar 2013 00:30:22 +0000

nexus (4.3-svn1863-2) unstable; urgency=low

  * conflict with old python package to allow upgrade
  * populate binary-indep target for python
  * bump standards version (potential symbols work outstanding)

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sun, 17 Feb 2013 19:45:47 +0000

nexus (4.3-svn1863-1) unstable; urgency=low

  * new upstream version (Closes: #692425)
  * use dpkg-buildflags

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Thu, 13 Dec 2012 15:29:09 +0000

nexus (4.3-svn1815-2) unstable; urgency=low

  * remove transitional libhdf5-serial-dev dependency

 -- Tobias Richter <tsr-debian@achos.com>  Wed, 23 May 2012 10:05:18 +0100

nexus (4.3-svn1815-1) unstable; urgency=low

  * new upstream version
  * update standards version from 3.9.2 to 3.9.3 (no change)
  * make python arch all (Closes: #662215)
  * better python dependency (Closes: #662214)
  * correct python package name (Closes: #662158)
  * Thanks to Jakub for spotting all my python packaging mistakes!

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Mon, 14 May 2012 18:22:36 +0100

nexus (4.2.1-svn1614-2) unstable; urgency=low

  * better solution for finding JAVA_HOME (Closes: #636203)
  * provide build-arch and build build-indep targets

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Tue, 02 Aug 2011 11:37:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # shared library versions, option 1
 #version=2.0.5
@@ -34,13 +39,17 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	## -D_FILE_OFFSET_BITS=64 for large file support (will be default in next version)
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="-D_FILE_OFFSET_BITS=64 $(CFLAGS)" LDFLAGS="-Wl,-z,defs" --with-java-home=`readlink /etc/alternatives/javac | sed s,/bin/javac,,` --with-python=/usr
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,-z,defs" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" --with-java-home=/usr/lib/jvm/default-java --with-python=/usr JAVACFLAGS="-source 1.5 -target 1.5"
 	sed < libtool > libtool-2 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 	mv libtool-2 libtool
 	chmod 755 libtool
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep:
+
 build-stamp:  config.status
 	dh_testdir
 	$(MAKE)
@@ -64,32 +73,50 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-indep: build-indep install
+	dh_testdir -i
+	dh_testroot -i
+	dh_installchangelogs -i
+	dh_installdocs -i
+	dh_installexamples -i
+	dh_install -i
+#	dh_installmenu -i
+#	dh_installdebconf	 -i
+#	dh_installinfo -i
+	dh_installman -i
+	dh_link -i
+	dh_strip -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_python2 -i
+	dh_installdeb -i
+	dh_shlibdeps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
-	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installinfo
-	dh_installman
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_python2
-	dh_makeshlibs -X /usr/lib/jni
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+binary-arch: build-arch install
+	dh_testdir -a
+	dh_testroot -a
+	dh_installchangelogs -a
+	dh_installdocs -a
+	dh_installexamples -a
+	dh_install -a
+#	dh_installmenu -a
+#	dh_installdebconf	 -a
+#	dh_installinfo -a
+	dh_installman -a
+	dh_link -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -X /usr/lib/jni -a
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
